BERTaggedObject (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1

## Class BERTaggedObject

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1TaggedObject
      - - org.bouncycastle.asn1.BERTaggedObject

- All Implemented Interfaces:
    ASN1Encodable, ASN1TaggedObjectParser, InMemoryRepresentable, Encodable

      public class BERTaggedObject
      extends ASN1TaggedObject

  BER TaggedObject - in ASN.1 notation this is any object preceded by a [n] where n is some number - these are assumed to follow the construction rules (as with sequences).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BERTaggedObject(boolean explicit, int tagNo, ASN1Encodable obj)`
    `BERTaggedObject(int tagNo)` create an implicitly tagged object that contains a zero length sequence.
    `BERTaggedObject(int tagNo, ASN1Encodable obj)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1TaggedObject

      `getInstance, getInstance, getLoadedObject, getObject, getObjectParser, getTagNo, hashCode, isEmpty, isExplicit, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable

      `toASN1Primitive`

- - ### Constructor Detail

    - #### BERTaggedObject

          public BERTaggedObject(int tagNo,
                         ASN1Encodable obj)

      Parameters:
        `tagNo` - the tag number for this object.
        `obj` - the tagged object.

    - #### BERTaggedObject

          public BERTaggedObject(boolean explicit,
                         int tagNo,
                         ASN1Encodable obj)

      Parameters:
        `explicit` - true if an explicitly tagged object.
        `tagNo` - the tag number for this object.
        `obj` - the tagged object.

    - #### BERTaggedObject

          public BERTaggedObject(int tagNo)

      create an implicitly tagged object that contains a zero length sequence.